AMQPQueue::cancel
AMQPQueue::consume
AMQPQueue
PHP Manual

# AMQPQueue::__construct

(PECL amqp >= Unknown)

AMQPQueue::__construct — Create an instance of an AMQPQueue object

### Description

public AMQPQueue::__construct ( AMQPChannel `$amqp_channel` )

Creates an AMQPQueue instance representing an AMQP queue on the broker.

### Parameters

### Errors/Exceptions

Throws AMQPQueueException when `amqp_channel` is not connected to a broker.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns an instance of AMQPQueue on success.

AMQPQueue::cancel
AMQPQueue::consume
AMQPQueue
PHP Manual